Related issues:

Related to Redmine - Feature #22147: Change "Related issues" label for generi... Closed

Has duplicate Redmine - Feature #12248: Grouped Filters Closed

Associated revisions

Revision 13662 - 2014-11-28 10:31 - Jean-Philippe Lang

Group filters in the filter select list (#13849).

History

#1 - 2013-04-23 12:42 - Daniel Felix

- Tracker changed from Feature to Patch

I change this to a patch, as this relates to my feature request #12248.

Thanks. Nice to see that there's some progress. :-)

I'll test your patch as soon as possible.

#2 - 2013-05-04 00:16 - Filou Centrinov

It's a very good idea to group the filter, but for a common user there is no difference between standard fields and custom fields. Moreover a

non-admin user shouldn't differ between standard fields and custom fields. Technical details have to be hidden. It would be more user-friedly using

semantic grouping like "Date fields" or "Shown fields", don't you think? Your proposed group "Related issue" fulfills this idea.

#3 - 2013-05-04 14:15 - Daniel Felix

Well there is a difference for a normal user. Custom fields won't be available on all projects, regular fields will.

#4 - 2013-05-05 00:35 - Filou Centrinov

Ok, you are right. The question for me is, if it's important to know that a filter is a custom filter or not?

#5 - 2013-05-26 19:25 - Toshi MARUYAMA

- File date1.png added

- File date2.png added

- File grouped-filter-trunk-r11902.diff added

This is new patch.

Grouped by non date / date / related issues
Not grouped by custom field

 date1.png  date2.png 

#6 - 2013-05-26 19:32 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

- Target version set to Candidate for next major release

I closed #12248 as duplicate, so I change this issue tracker and copy target version.

#7 - 2013-11-26 09:13 - Go MAEDA

Because the filters list is very long, it is hard to find what I want to use.

It would be nice if the patch get merged into the trunk.

#8 - 2014-07-03 05:37 - Go MAEDA

Patch has already been completed a year ago. The patch improves the user interface of Redmine.

Could you consider to merge this patch?

#9 - 2014-07-03 05:50 - Go MAEDA

- File grouped-filter-trunk-r13207.diff added

This is a patch for current trunk. 'grouped-filter-trunk-r11902.diff' conflicts with en.yml.

#10 - 2014-11-03 10:08 - Go MAEDA

- File grouped-filter-trunk-r13551.diff added

- Target version changed from Candidate for next major release to 3.0.0

This is a patch for current trunk(r13551). This patch will greatly improve usability.

I would like to set target version to 3.0.0. Please return to "Candidate for next major release" if there is any problem.

#11 - 2014-11-28 10:35 - Jean-Philippe Lang

- Subject changed from Grouped filter to Grouped filters in the filter drop-down

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature added in r13662, with the following changes:

Keep the first filters ungrouped

Don't group date filters when there's just one (eg. time entries filters)

Group association filters too (eg. filters on project custom fields)

Tests added

#12 - 2014-11-28 10:47 - Go MAEDA

Great! Thanks a lot.

#13 - 2016-04-04 07:18 - Toshi MARUYAMA

- Related to Feature #22147: Change "Related issues" label for generic grouped query filters added

Files
